package com.crm.manager.service;

import java.util.List;

/**
 * Created by max on 2020/6/17.
 * 数据权限校验
 */
public interface DataRoleService {

    void validateByCustomIdAndStamp(Long customId, String stamp) throws Exception;

    void validateByLoginAndStamp(Long login, String stamp) throws Exception;

    void validateByCustomIdListAndStamp(List<Long> customIds,String stamp) throws Exception;

    void validateByLoginListAndStamp(List<Long> logins,String stamp) throws Exception;

}
